[android-components](../../index.md) / [mozilla.components.service.fxa.sync](../index.md) / [SyncManager](index.md) / [&lt;init&gt;](./-init-.md)

# &lt;init&gt;

`SyncManager(syncConfig: `[`SyncConfig`](../../mozilla.components.service.fxa/-sync-config/index.md)`)`

A base sync manager implementation.

### Parameters

`syncConfig` - A [SyncConfig](../../mozilla.components.service.fxa/-sync-config/index.md) object describing how sync should behave.